Class LinkWebTemplateWriter
java.lang.Object
net.officefloor.web.template.section.LinkWebTemplateWriter
- All Implemented Interfaces:
WebTemplateWriter
WebTemplateWriter to write the link.- Author:
- Daniel Sagenschneider
-
Constructor Summary
ConstructorsConstructorDescriptionLinkWebTemplateWriter(String linkName, boolean isLinkSecure, char linkSeparator) Initiate. -
Method Summary
Modifier and TypeMethodDescriptionvoidwrite(ServerWriter writer, boolean isDefaultCharset, Object bean, ServerHttpConnection connection, String templatePath) Writes the template content to theServerWriter.
-
Constructor Details
-
LinkWebTemplateWriter
Initiate.- Parameters:
linkName- Link name.isLinkSecure- Indicates if the link is to be submitted over a secureServerHttpConnection.linkSeparator- Link separatorCharacter.
-
-
Method Details
-
write
public void write(ServerWriter writer, boolean isDefaultCharset, Object bean, ServerHttpConnection connection, String templatePath) throws HttpException Description copied from interface:WebTemplateWriterWrites the template content to theServerWriter.- Specified by:
writein interfaceWebTemplateWriter- Parameters:
writer-ServerWriterto receive the template content.isDefaultCharset- Indicates if the defaultCharsetfor outputting the template is being used. While theCharsetmay be programmatically changed, it is expected in the majority of cases to be using the defaultCharsetconfigured for the template. This flag allows static content to be cached in bytes (using defaultCharset) for improved performance.bean- Bean to potentially obtain data. May benullif template contents does not require a bean.connection-ServerHttpConnection.templatePath- Current path for theWebTemplate. As the path may be dynamic (contain path parameters), this is the path to be used by links in rending of theWebTemplate.- Throws:
HttpException- If fails to write content.
-